Package org.springframework.cloud.task.batch.partition

# Class DeployerStepExecutionHandler

java.lang.Object
org.springframework.cloud.task.batch.partition.DeployerStepExecutionHandler

All Implemented Interfaces:
  `org.springframework.boot.CommandLineRunner`

public class DeployerStepExecutionHandler extends Object implements org.springframework.boot.CommandLineRunner

A `CommandLineRunner` used to execute a `Step`. No result is provided directly to the associated `DeployerPartitionHandler` as it will obtain the step results directly from the shared job repository.

The `StepExecution` is rehydrated based on the environment variables provided. Specifically, the following variables are required:

- `DeployerPartitionHandler.SPRING_CLOUD_TASK_JOB_EXECUTION_ID`: The id of the JobExecution.
- `DeployerPartitionHandler.SPRING_CLOUD_TASK_STEP_EXECUTION_ID`: The id of the StepExecution.
- `DeployerPartitionHandler.SPRING_CLOUD_TASK_STEP_NAME`: The id of the bean definition for the Step to execute. The id must be found within the provided `BeanFactory`

Author:
  Michael Minella

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeployerStepExecutionHandler(org.springframework.beans.factory.BeanFactory beanFactory, org.springframework.batch.core.explore.JobExplorer jobExplorer, org.springframework.batch.core.repository.JobRepository jobRepository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run(String... args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeployerStepExecutionHandler

    public DeployerStepExecutionHandler(org.springframework.beans.factory.BeanFactory beanFactory, org.springframework.batch.core.explore.JobExplorer jobExplorer, org.springframework.batch.core.repository.JobRepository jobRepository)

- ## Method Details

  - ### run

    public void run(String... args) throws Exception
    Specified by:
      `run` in interface `org.springframework.boot.CommandLineRunner`
    Throws:
      `Exception`